#
# Conditional build:
%bcond_with	tests		# build without tests

# TODO:
# - runtime Requires if any
# - make test not hanging and switch it back on

%define		kdeframever	5.59
%define		qtver		5.9.0
%define		kfname		kdbusaddons
Summary:	Convenience classes for DBus
Name:		kf5-%{kfname}
Version:	5.59.0
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	http://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	6d72f273ccbcc08e65d6e42c97c36d51
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5DBus-devel >= %{qtver}
BuildRequires:	Qt5Gui-devel >= %{qtver}
BuildRequires:	Qt5Test-devel >= %{qtver}
BuildRequires:	Qt5Widgets-devel >= %{qtver}
BuildRequires:	Qt5X11Extras-devel >= %{qtver}
BuildRequires:	cmake >= 2.8.12
BuildRequires:	kf5-extra-cmake-modules >= 1.4.0
BuildRequires:	ninja
BuildRequires:	qt5-linguist >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	kf5-dirs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt5dir		%{_libdir}/qt5

%description
KDBusAddons provides convenience classes on top of QtDBus, as well as
an API to create KDED modules.

%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	Qt5DBus-devel >= %{qtver}
Requires:	cmake >= 2.6.0

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
install -d build
cd build
%cmake -G Ninja \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	../
%ninja_build

%{?with_tests:%ninja_build test}

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kfname}5_qt --with-qm --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{kfname}5_qt.lang
%defattr(644,root,root,755)
%doc MAINTAINER README.md
%attr(755,root,root) %{_bindir}/kquitapp5
%attr(755,root,root) %{_libdir}/libKF5DBusAddons.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libKF5DBusAddons.so.5
/etc/xdg/kdbusaddons.categories

%files devel
%defattr(644,root,root,755)
%{_includedir}/KF5/KDBusAddons
%{_includedir}/KF5/kdbusaddons_version.h
%attr(755,root,root) %{_libdir}/libKF5DBusAddons.so
%{_libdir}/cmake/KF5DBusAddons
%{qt5dir}/mkspecs/modules/qt_KDBusAddons.pri
%changelog
* Sun Oct 27 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf5-kdbusaddons.git;a=log;h=master

* Mon Jun 10 2019 Witold Filipczyk <witekfl@poczta.onet.pl> cb5ffb0
- updated to 5.59.0

* Mon Mar 25 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 515856b
- updated to 5.56

* Thu Dec 27 2018 Witold Filipczyk <witekfl@poczta.onet.pl> 1ecc47e
- updated to 5.53.0

* Mon Jul 16 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> eaf00cd
- up to 5.48.0

* Mon May 07 2018 Witold Filipczyk <witekfl@poczta.onet.pl> 2f6dbc0
- updated to 5.45.0

* Tue Feb 13 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> a2b0d8b
- up to 5.43.0

* Sat Oct 14 2017 Witold Filipczyk <witekfl@poczta.onet.pl> c02e54a
- updated to 5.39.0

* Sun May 21 2017 Jan Palus <atler@pld-linux.org> c0010c7
- updated devel Rs based on cmake file; rel 2

* Sat Jul 09 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 4e3b747
- updated to 5.24.0; fetch sources

* Sat Jul 09 2016 Witold Filipczyk <witekfl@poczta.onet.pl> fb0e4a4
- updated to 5.23

* Sat Feb 27 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 85e1e2d
- updated to 5.19.0

* Sat Sep 12 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 56c94a5
- find_lang with kde

* Fri Sep 04 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> e60f6e9
- up to 5.13.0

* Fri May 22 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 26c4fd9
- up to 5.10.0

* Fri Dec 12 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 67d834f
- todo item dropped

* Thu Nov 20 2014 Elan Ruusamäe <glen@delfi.ee> 42020fe
- state is pointless too, use kfname instead of orgname as it looks cooler

* Thu Nov 20 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 39f1e72
- up to 5.4.0

* Thu Jul 10 2014 Elan Ruusamäe <glen@delfi.ee> 7db097c
- tar.xz deps

* Wed Jul 09 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 887f7b2
- more cmake variables

* Wed Jul 09 2014 Witold Filipczyk <witekfl@poczta.onet.pl> c9f5d4e
- rename

